org.eclipse.emf.spi.cdo

## Class InternalCDOSession.InvalidationData

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOSession.InvalidationData

- Enclosing interface:
    InternalCDOSession

      public static final class InternalCDOSession.InvalidationData
      extends Object

  A data structure that holds all input values of `InternalCDOSession#invalidate()`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidationData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitInfo` | `getCommitInfo()`
    `CDOLockChangeInfo` | `getLockChangeInfo()`
    `Map<CDOID,CDOPermission>` | `getNewPermissions()`
    `byte` | `getSecurityImpact()`
    `InternalCDOTransaction` | `getSender()`
    `boolean` | `isClearResourcePathCache()`
    `void` | `setClearResourcePathCache(boolean clearResourcePathCache)`
    `void` | `setCommitInfo(CDOCommitInfo commitInfo)`
    `void` | `setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
    `void` | `setNewPermissions(Map<CDOID,CDOPermission> newPermissions)`
    `void` | `setSecurityImpact(byte securityImpact)`
    `void` | `setSender(InternalCDOTransaction sender)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidationData

          public InvalidationData()

  - ### Method Detail

    - #### getCommitInfo

          public CDOCommitInfo getCommitInfo()

    - #### setCommitInfo

          public void setCommitInfo(CDOCommitInfo commitInfo)

    - #### getSender

          public InternalCDOTransaction getSender()

    - #### setSender

          public void setSender(InternalCDOTransaction sender)

    - #### isClearResourcePathCache

          public boolean isClearResourcePathCache()

    - #### setClearResourcePathCache

          public void setClearResourcePathCache(boolean clearResourcePathCache)

    - #### getSecurityImpact

          public byte getSecurityImpact()

    - #### setSecurityImpact

          public void setSecurityImpact(byte securityImpact)

    - #### getNewPermissions

          public Map<CDOID,CDOPermission> getNewPermissions()

    - #### setNewPermissions

          public void setNewPermissions(Map<CDOID,CDOPermission> newPermissions)

    - #### getLockChangeInfo

          public CDOLockChangeInfo getLockChangeInfo()

    - #### setLockChangeInfo

          public void setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html